Install python-lzma needed to support Packages.xz on piuparts hosts.
[debian.org.git] / debian / control
1 Source: debian.org
2 Section: local/admin
3 Priority: required
4 Maintainer: Debian sysadmin Team <debian-admin@debian.org>
5 Uploaders: Peter Palfrader <weasel@debian.org>, Martin Zobel-Helas <zobel@debian.org>, Stephen Gran <sgran@debian.org>, Luca Filipozzi <lfilipoz@debian.org>
6 Build-Depends: debhelper (>= 7)
7 Standards-Version: 3.8.1
8
9 Package: debian.org
10 Architecture: all
11 Depends: userdir-ldap, zsh, tcsh, pdksh, ksh, csh, ntp, locales-all, exim4-daemon-heavy | postfix, sudo, libpam-pwdfile, vim, nano, munin-node, gnupg, bzip2, cacert-spi | ca-certificates (>> 20080411), ed, cron, dialog, libterm-readline-gnu-perl, logrotate, syslog-ng (>= 3.1), nagios-plugins-standard (>= 1.4.15) | nagios-plugins-basic
12 Recommends: debian.org-recommended
13 Conflicts: dchroot-dsa (<= 2:1)
14 Description: DSA's host metapackage
15  This package depends on packages that should be installed on every
16  debian.org host, and conflicts with packages that should never be
17  installed.
18
19 Package: debian.org-recommended-linux
20 Architecture: all
21 Depends: vlan, ifenslave, bridge-utils, iproute,
22         strace,
23         lsscsi,
24         ethtool,
25         bwm-ng,
26         iputils-tracepath,
27         traceroute,
28         lshw,
29         lsof
30 Description: metapackage to pull in recommended, but not essential tools for linux system
31  This package depends on packages that are recommended to  be installed on
32  every Linux debian.org host but are not essential.
33
34 Package: debian.org-recommended
35 Architecture: any
36 Depends: debian.org,
37         busybox-static,
38         debian.org-recommended-linux [linux-any],
39         molly-guard
40         ,
41         man-db
42         ,
43         devscripts
44         ,
45         subversion, rcs, git, bzr,
46                 git-svn,
47                 subversion-tools,
48                 mercurial,
49                 cvs
50         ,
51         mtr-tiny, tcpdump, tcptraceroute, ndisc6,
52         bind9-host, dnsutils, whois, unbound-host
53         ,
54         emacs24-nox | emacs24 | emacs23-nox | emacs23 | emacs22-nox | emacs22 | emacs21-nox | emacs21,
55         vim-scripts, vim-addon-manager
56         ,
57         at, uptimed,
58         puppet,
59                 libaugeas-ruby,
60                 libaugeas-ruby1.8,
61                 libaugeas0,
62                 augeas-lenses (>= 0.7),
63         locate, dlocate
64         ,
65         dsa-nagios-checks
66         ,
67         munin-plugins-extra
68         ,
69         dmidecode [amd64 i386 ia64],
70         edac-utils,
71         sg3-utils
72         ,
73         ipython
74         ,
75         mcelog [amd64 i386]
76         ,
77         htop, psmisc,
78         ,
79         ncdu,
80         mc,
81                 genisoimage,
82         less,
83         rsync,
84         screen,
85         tmux,
86         ldap-utils, ldapvi,
87         mmv,
88         moreutils,
89         patchutils,
90         diffstat,
91         bc,
92         netcat-openbsd, socat, telnet
93         ,
94         deborphan
95         ,
96         file
97         ,
98         buffer
99         ,
100         bsd-mailx
101         ,
102         timeout | coreutils (>= 8.0-1)
103         ,
104         wget, curl, lftp, ftp,
105         ,
106         dput
107         ,
108         uuid-runtime
109         ,
110         finger
111         ,
112         xz-utils,
113         pigz,
114         unzip
115         ,
116         w3m,
117         elinks,
118         mutt
119         ,
120         ccze,
121         multitail
122 Description: metapackage to pull in recommended, but not essential tools
123  This package depends on packages that are recommended to  be installed on
124  every debian.org host but are not essential.
125
126 Package: debian.org-bugs.debian.org
127 Architecture: all
128 Depends: graphviz,
129         libcgi-simple-perl,
130         libgravatar-url-perl,
131         libio-stringy-perl,
132         liblist-moreutils-perl,
133         libmail-rfc822-address-perl,
134         libmime-tools-perl,
135         libmldbm-perl,
136         libparams-validate-perl,
137         libsafe-hole-perl,
138         libtext-template-perl,
139         liburi-perl,
140         libhtml-tree-perl,
141         libsoap-lite-perl,
142         libtext-iconv-perl,
143         libdbd-pg-perl,
144         libfile-libmagic-perl,
145         libnet-dns-sec-perl,
146         python-pyinotify,
147         python-yaml
148 Description: metapackages for bugs.debian.org dependencies
149  This package depends on everything that is needed for a bugs.debian.org
150  mirror or (in the future) bugs-master.
151
152 Package: debian.org-bugs.debian.org-master
153 Architecture: all
154 Depends: debian.org-bugs.debian.org,
155         gnuplot,
156         ttf-liberation,
157         kgb-client-git,
158         lynx    
159 Description: metapackages for bugs-master.debian.org dependencies
160  This package depends on everything that is needed for a
161  bugs-master.debian.org
162
163 Package: debian.org-bugs.debian.org-search
164 Architecture: all
165 Depends: debian.org-bugs.debian.org,
166         hyperestraier,
167         libdate-manip-perl,
168         libsearch-estraier-perl
169 Description: metapackages for bugs-search.debian.org dependencies
170  This package depends on everything that is needed for a
171  bugs-search.debian.org
172
173 Package: debian.org-bugs.debian.org-mx
174 Architecture: all
175 Depends: debian.org-bugs.debian.org,
176         spamassassin,
177         build-essential,
178         spamc,
179         libmail-spf-perl,
180         re2c,
181         libsys-syslog-perl,
182         libio-socket-inet6-perl,
183         libnet-ident-perl,
184         libdbi-perl,
185         pyzor,
186         libmail-dkim-perl,
187         libdbd-pg-perl
188 Description: metapackages for bugs.debian.org mail exchanger
189  This package depends on everything that is needed for a bugs.debian.org
190  MX.
191
192
193 Package: debian.org-packages-master.debian.org
194 Architecture: all
195 Depends: debian.org-packages.debian.org,
196         procmail,
197         gettext,
198         libhtml-template-perl,
199         libxml-rss-perl,
200         libtimedate-perl,
201         libio-stringy-perl,
202         freecdb,
203         tig
204 Description: metapackages for packages.debian.org dependencies
205  This package depends on everything that is needed for a
206  packages-master.debian.org server.  For the mirrors all you need is the
207  debian.org-packages.debian.org package.
208
209 Package: debian.org-packages.debian.org
210 Architecture: all
211 Depends: liblocale-maketext-lexicon-perl,
212         libi18n-acceptlanguage-perl,
213         libnumber-format-perl,
214         libcompress-zlib-perl,
215         libhtml-parser-perl,
216         libmldbm-perl,
217         libtext-iconv-perl,
218         libclass-accessor-perl,
219         liburi-perl,
220         libtemplate-perl,
221         liblingua-stem-perl,
222         libsearch-xapian-perl,
223         libtimedate-perl,
224         libcgi-fast-perl,
225         libapache2-mod-fcgid,
226         dpkg-dev,
227         rsync
228 Description: metapackages for packages.debian.org dependencies
229  This package depends on everything that is needed for a packages.debian.org
230  mirror.  For packages-master install the debian.org-packages-master.debian.org
231  package.
232
233 Package: debian.org-www-master.debian.org
234 Architecture: all
235 Depends: debiandoc-sgml,
236         asciidoc,
237         cm-super,
238         debhelper,
239         docbook,
240         docbook-dsssl,
241         docbook-xsl,
242         dpkg-dev,
243         fonts-arphic-uming,
244         fonts-mlym,
245         gawk (>= 1:4.0.1),
246         gettext,
247         ghostscript,
248         imagemagick,
249         iso-codes,
250         isoquery,
251         jadetex,
252         kcc,
253         ko.tex-base,
254         latex-cjk-all,
255         latex-cjk-chinese,
256         ldap-utils,
257         libcgi-pm-perl,
258         libemail-address-perl,
259         libintl-perl,
260         libmime-lite-perl,
261         libnet-ldap-perl,
262         libsoap-lite-perl,
263         libtimedate-perl,
264         libwww-perl,
265         libxml2-utils,
266         libxml-rss-perl,
267         locales, locales-all,
268         lmodern,
269         maildrop,
270         opencc,
271         openjade,
272         openjade1.3,
273         po4a,
274         poxml,
275         procmail,
276         texlive-fonts-recommended,
277         texlive-lang-all,
278         latex-cjk-japanese,
279         texlive-latex-base,
280         texlive-latex-extra,
281         texlive-latex-recommended,
282         tidy,
283         time,
284         uni2ascii,
285         wml,
286         xmlroff, dblatex,
287         xplanet,
288         xplanet-images,
289         xsltproc,
290         libjson-perl,
291 Description: metapackages for www-master.debian.org dependencies
292  This package depends on everything that is needed for a www-master.debian.org.
293
294
295 Package: debian.org-buildd.debian.org
296 Architecture: all
297 Depends:
298         dose-builddebcheck,
299         dose-distcheck,
300         edos-distcheck,
301         ghostscript,
302         libcompress-bzip2-perl,
303         libcompress-zlib-perl,
304         libhash-merge-perl,
305         libmailtools-perl,
306         libdbi-perl,
307         libdbd-pg-perl,
308         libfile-spec-perl,
309         libstring-escape-perl,
310         libstring-format-perl,
311         libyaml-tiny-perl,
312         python-apt,
313         python-contract,
314         python-coverage,
315         python-debian,
316         python-psycopg2,
317         python-mako,
318         python-nose,
319         python-sqlalchemy,
320         r-base-core,
321         r-cran-lattice,
322         moreutils (>= 0.39~),
323         libdpkg-perl,
324         php5,
325         php5-cgi,
326         php5-pgsql,
327         libapache2-mod-fcgid,
328         libgmp10,
329         libyaml-libyaml-perl
330 Description: metapackages for buildd.debian.org dependencies
331  This package depends on everything that is needed for a buildd.debian.org.
332
333
334 Package: debian.org-patch-tracker.debian.org
335 Architecture: all
336 Depends: patchutils,
337         python,
338         python-cheetah,
339         python-pygments,
340         python-debian,
341         reprepro,
342         python-wsgiref,
343         python-simplejson,
344         python-pysqlite2,
345         diffstat
346 Description: metapackages for patch-tracker.debian.org dependencies
347  This package depends on everything that is needed for a patch-tracker.debian.org.
348
349 Package: debian.org-planet.debian.org
350 Architecture: all
351 Depends: libwww-perl,
352         timeout | coreutils (>= 8.0-1),
353         debianutils,
354         python-django,
355         python,
356         libdbi-perl, libdate-manip-perl, libdbd-sqlite3-perl
357 Description: metapackages for planet.debian.org dependencies
358  This package depends on everything that is needed for a planet.debian.org.
359
360 Package: debian.org-security-tracker.debian.org
361 Architecture: all
362 Depends: libdbd-sqlite3-perl,
363         sqlite3,
364         python-apsw,
365         libterm-readline-gnu-perl,
366         python-apt,
367         python-soappy
368 Description: metapackages for security-tracker.debian.org dependencies
369  This package depends on everything that is needed for a security-tracker.debian.org.
370
371 Package: debian.org-ftpmaster.debian.org
372 Architecture: all
373 Depends: apt-utils,
374         libapt-pkg-dev,
375         libemail-sender-perl,
376         libcgi-pm-perl,
377         python-apt,
378         python-debianbts (>= 1.4~bpo50+1),
379         lintian,
380         python,
381         python-debian,
382         python-ldap,
383         python-psycopg2,
384         python-pygresql,
385         python-pyrss2gen,
386         python-yaml,
387         python-rrdtool,
388         python-sqlalchemy,
389         binutils-multiarch,
390         build-essential,
391         graphviz,
392         ikiwiki,
393         libdbd-pg-ruby,
394         python-epydoc,
395         python-numpy,
396         python-soappy,
397         r-base,
398         symlinks,
399         python-magic,
400         unp,
401         procmail,
402         cvs,
403         ruby,
404         lynx,
405         libxml-rss-perl,
406         ghostscript,
407         perforate,
408         wdiff,
409         ruby-soap4r
410 Description: metapackage for ftpmaster
411  This package depends on everything that is needed for an ftpmaster setup.
412
413 Package: debian.org-ftpmaster.debian.org-poneys
414 Architecture: all
415 Depends: bicyclerepair,
416         dpkg-dev-el,
417         emacs-goodies-el,
418         pychecker,
419         pylint,
420         python-mode,
421         gitstats,
422         colordiff
423 Description: metapackage for ftpmaster extras
424  Things not really needed needed.
425
426 Package: debian.org-release.debian.org
427 Architecture: all
428 Depends:
429         dose-distcheck,
430         dose-builddebcheck,
431         mutt,
432         subversion,
433         python2.7,
434         python2.7-dev,
435         python-dev,
436         wdiff,
437         python-pygresql,
438         python-libxslt1,
439         python-apt,
440         python-debian,
441         libapt-pkg-perl,
442         libapt-pkg-dev,
443         dpkg-dev,
444         procmail,
445         rrdtool,
446         python3-apt,
447         python3-yaml,
448         picosat,
449         git-email,
450         python-networkx,
451         python-pygraphviz,
452         python-yaml,
453 Description: metapackage for release
454  This package depends on everything that is needed for a release.debian.org
455  setup.
456
457 Package: debian.org-cdbuilder.debian.org
458 Architecture: all
459 Depends: bittornado,
460         build-essential,
461         debhelper,
462         debian-cd,
463         jigit,
464         m4,
465         tofrodos,
466         zip,
467         zsync,
468         fakeroot,
469         dosfstools,
470         libsoap-lite-perl,
471         mtools
472 Description: metapackage for cdbuilder
473  This package depends on all the packages that are needed for a cdbuilder setup.
474
475 Package: debian.org-cdimage-search.debian.org
476 Architecture: all
477 Depends: libconfigreader-simple-perl
478 Description: metapackage for cdimage-search.debian.org
479  This package depends on all the packages that are needed for the CD/DVD search CGI website
480
481 Package: debian.org-manpages.debian.org
482 Architecture: all
483 Depends: locales-all,
484         ghostscript
485 Description: metapackage for manpages
486  This package depends on all the packages that are needed for manpages.d.o setup.
487
488 Package: debian.org-nm.debian.org
489 Architecture: all
490 Depends: libapache2-mod-wsgi,
491         mutt, mboxgrep,
492         python,
493         python-mako (>= 0.2.5), python-ldap,
494         python-apt, python-beautifulsoup, python-debianbts, python-dns,
495         python-dnspython, python-egenix-mxdatetime, python-egenix-mxtools,
496         python-elementtree | python (>= 2.6), python-flup, python-libxml2,
497         python-lxml, python-psycopg2, python-soappy,
498         python-xapian,
499         python-dateutil,
500         python-debian,
501         python-django (>= 1.5),
502         python-django-south,
503         python-debiancontributors,
504         python-tz,
505         python-markdown,
506         python-lzma,
507         python-requests (>= 2.0.0),
508         procmail,
509         rrdtool,
510         moreutils,
511         libjs-jquery,
512         postgresql-client
513 Description: metapackage for nm.debian.org
514  This package depends on all the packages that are needed for nm.debian.org setup.
515
516 Package: debian.org-backports.debian.org
517 Architecture: all
518 Depends: debian.org-ftpmaster.debian.org,
519         libdbi-perl, libdbd-pg-perl
520 Description: metapackage for backports.debian.org
521  This package depends on all the packages that are needed for backports.debian.org setup.
522
523 Package: debian.org-qa.debian.org
524 Architecture: all
525 Depends: db-util,
526         gnuplot-nox,
527         wml,
528         libapt-pkg-perl,
529                 libcgi-pm-perl,
530                 libdbd-pg-perl,
531                 libdate-manip-perl,
532                 libdpkg-perl,
533                 libmailtools-perl,
534                 libsoap-lite-perl,
535                 libtemplate-perl,
536                 libxml-simple-perl,
537                 libmail-sendmail-perl,
538                 libdate-calc-perl,
539                 libnet-ldap-perl,
540                 libjson-perl,
541                 libyaml-syck-perl,
542         php5, php5-cgi, php5-cli,
543                 php5-ldap, php5-pgsql,
544                 libapache2-mod-fcgid,
545         python-apt, python-psycopg2, python-gpgme,
546         python3, python3-psycopg2,
547         postgresql-client,
548         libdbd-pg-ruby,
549         rrdtool,
550         raptor-utils | raptor2-utils,
551         dose-distcheck, dose-builddebcheck, python3-yaml, python3-debian
552 Description: metapackage for qa.debian.org
553  This package depends on all the packages that are needed for qa.debian.org setup.
554
555 Package: debian.org-packages.qa.debian.org
556 Architecture: all
557 Depends: db4.7-util,
558         libmailtools-perl,
559         libmime-tools-perl,
560         libmail-verp-perl,
561         xsltproc,
562         mhonarc,
563         python,
564         python-lxml,
565         python-soappy,
566         python-debian,
567         python-yaml,
568         python-zsi
569 Description: metapackage for packages.qa.debian.org
570  This package depends on all the packages that are needed for packages.qa.debian.org setup.
571
572 Package: debian.org-tracker.debian.org
573 Architecture: all
574 Depends:
575 # Runtime
576         libapache2-mod-wsgi,
577         python-apt,
578         python-bs4,
579         python-debian,
580         python-django (>= 1.6),
581         python-django-jsonfield,
582         python-django-south,
583         python-gpgme,
584         python-ldap,
585         python-lzma,
586         python-requests (>= 2),
587         python-soappy,
588         python-yaml,
589         dpkg-dev,
590 # Database access
591         python-psycopg2,
592         postgresql-client,
593 # Test suite and docs
594         python-mock,
595         python-sphinx,
596 Description: metapackage for tracker.debian.org
597  This package depends on all the packages that are needed for tracker.debian.org.
598
599 Package: debian.org-udd.debian.org
600 Architecture: all
601 Depends: curl,
602         dpkg-dev,
603         graphviz,
604         libapt-pkg-dev,
605         libcrypt-ssleay-perl,
606         libcgi-simple-perl,
607         libdbd-pg-perl,
608         libdbd-pg-ruby,
609         libdbi-perl,
610         libdbi-ruby,
611         libdpkg-ruby,
612         libio-stringy-perl,
613         liblist-moreutils-perl,
614         libmime-tools-perl,
615         libmldbm-perl,
616         libparams-validate-perl,
617         libperl-dev,
618         libsafe-hole-perl,
619         libtext-template-perl,
620         libyaml-syck-perl,
621         postgresql-autodoc,
622         python-dateutil,
623         python-debian,
624         python-dev,
625         python-launchpadlib,
626         python-psycopg2,
627         python-yaml,
628         ruby-json,
629         ruby-oj,
630         vpim
631 Description: metapackage for udd.debian.org
632  This package depends on all the packages that are needed for udd.debian.org setup.
633
634 Package: debian.org-snapshot.debian.org
635 Architecture: all
636 Depends:
637         ruby,
638         ruby-dbd-pg,
639         python-yaml, python-psycopg2, python-lockfile, python-fuse, uuid-runtime,
640         python-dev, gcc,
641         python-pylons
642 Description: metapackage for snapshot.debian.org
643  This package depends on all the packages that are needed for snapshot.debian.org setup.
644
645 Package: debian.org-women.debian.org
646 Architecture: all
647 Depends: wml
648 Description: metapackages for women.debian.org dependencies
649  This package depends on everything that is needed for women.debian.org.
650
651
652 Package: debian.org-lintian.debian.org
653 Architecture: all
654 Depends:   binutils,
655         binutils-multiarch,
656         bzip2,
657         diffstat,
658         dpkg-dev,
659         debhelper,
660         fakeroot,
661         file,
662         gettext,
663         gnuplot-nox | gnuplot,
664         hardening-includes (>= 2.2~),
665         intltool-debian,
666         libapt-pkg-perl,
667         libarchive-zip-perl,
668         libclass-accessor-perl,
669         libclone-perl,
670         libdigest-sha-perl,
671         libdpkg-perl,
672         libemail-valid-perl,
673         libfile-basedir-perl,
674         libhtml-parser-perl,
675         libipc-run-perl,
676         liblist-moreutils-perl,
677         libparse-debianchangelog-perl,
678         libperlio-gzip-perl,
679         libtimedate-perl,
680         libtext-levenshtein-perl,
681         libtext-template-perl,
682         liburi-perl,
683         libyaml-libyaml-perl,
684         locales,
685         man-db,
686         perl,
687         perl (>= 5.14~) | libautodie-perl (>= 2.10~),
688         t1utils,
689         unzip
690         ,
691         docbook-utils,
692         docbook-xml
693         ,
694 Description: metapackages for lintian.debian.org dependencies
695  This package depends on everything that is needed for lintian.debian.org.
696
697 Package: debian.org-popcon.debian.org
698 Architecture: all
699 Depends:
700         libchart-perl,
701         libcgi-pm-perl
702 Description: metapackages for popcon.debian.org dependencies
703  This package depends on everything that is needed for popcon.debian.org.
704
705 Package: debian.org-dde.debian.net
706 Architecture: all
707 Depends: python-apt,
708         python-debian,
709         python-debianbts,
710         python-feedparser,
711         python-flup,
712         python-nose,
713         python-paste,
714         python-psycopg2,
715         python-pyrss2gen,
716         python-soappy,
717         python-werkzeug,
718         python-xapian,
719         python-yaml
720 Description: metapackages for dde.debian.net dependencies
721  This package depends on everything that is needed for dde.debian.net.
722
723 Package: debian.org-debtags.debian.net
724 Architecture: all
725 Depends: python-apt,
726         python-debian,
727         python-django,
728         python-django-registration,
729         python-xapian (>= 1.2.7-1~bpo60+1),
730         python-psycopg2
731 Description: metapackages for debtags.debian.net dependencies
732  This package depends on everything that is needed for debtags.debian.net.
733
734 Package: debian.org-sso.debian.org
735 Architecture: all
736 Depends: libcatalyst-modules-perl,
737         libcatalyst-engine-apache-perl,
738         libapache2-mod-perl2,
739         libapache2-reload-perl,
740         libcatalyst-devel-perl,
741         libhtml-mason-perl,
742         python-django (>= 1.5),
743         python-django-south
744 Description: metapackages for sso.debian.org dependencies
745  This package depends on everything that is needed for sso.debian.org.
746
747 Package: debian.org-lists.debian.org
748 Architecture: all
749 Depends: xapian-tools,
750         xapian-omega,
751         smartlist,
752         procmail,
753         gnuplot,
754         rrdtool,
755         libdpkg-perl,
756         gettext,
757         grepmail,
758         libcompress-raw-zlib-perl,
759         libmoose-perl,
760         carton,
761         amavisd-new,
762         amavis-lists,
763         zoo,
764         lha,
765         p7zip,
766         unrar-free,
767         ripole,
768         pfqueue,
769         pyzor,
770         razor,
771         mrtgutils,
772         pax,
773         pwgen,
774         rbldnsd,
775         rng-tools,
776         speedy-cgi-perl,
777         ccze
778 Description: metapackages for lists.debian.org dependencies
779  This package depends on everything that is needed for lists.debian.org.
780
781 Package: debian.org-ddtp.debian.org
782 Architecture: all
783 Depends: libalgorithm-diff-xs-perl,
784         libdbd-pg-perl,
785         libdbi-perl,
786         libmail-sender-perl,
787         libmime-tools-perl,
788         libtext-diff-perl,
789         libtext-iconv-perl
790         ,
791         gnuplot
792         ,
793         libapache2-mod-wsgi,
794         python-setuptools,
795         python-psycopg2,
796         python-django,
797         python-sqlalchemy
798         ,
799         tig,
800         postgresql-client-9.1
801 Description: metapackages for ddtp.debian.org dependencies
802  This package depends on everything that is needed for ddtp.debian.org.
803
804 Package: debian.org-i18n.debian.org
805 Architecture: all
806 Depends: gettext,
807         po-debconf
808         ,
809         liblocale-gettext-perl,
810         libmailtools-perl,
811         libsoap-lite-perl,
812         libtimedate-perl
813         ,
814         tig,
815         rrdtool
816 Description: metapackages for i18n.debian.org dependencies
817  This package depends on everything that is needed for i18n.debian.org.
818
819 Package: debian.org-l10n.debian.org
820 Architecture: all
821 Depends: gettext,
822         po-debconf
823         ,
824         liblocale-gettext-perl,
825         libmailtools-perl,
826         libsoap-lite-perl,
827         libtimedate-perl
828         ,
829         tig,
830         rrdtool
831 Description: metapackages for l10n.debian.org dependencies
832  This package depends on everything that is needed for l10n.debian.org.
833
834 Package: debian.org-piuparts-master.debian.org
835 Architecture: all
836 Depends: debhelper,
837         asciidoc,
838         git,
839         xmlto,
840         python-debianbts,
841         apache2,
842         ghostscript,
843         python-rpy2,
844         r-base-dev,
845         r-recommended,
846         tango-icon-theme,
847         screen,
848         python-apt,
849         python-distro-info,
850         python-lzma,
851         python-yaml,
852         libsoap-lite-perl
853 Description: metapackage for piuparts-master.debian.org
854  This package depends on all the packages that are needed for the
855  master in the piuparts.debian.org setup.
856
857 Package: debian.org-piuparts-slave.debian.org
858 Architecture: all
859 Depends: debhelper,
860         asciidoc,
861         git,
862         xmlto,
863         debootstrap (>= 1.0.60~bpo70),
864         debsums,
865         lsb-release,
866         screen,
867         python-debian,
868         python-apt,
869         python-distro-info,
870         python-lzma,
871         adequate
872 Description: metapackage for piuparts-slave.debian.org
873  This package depends on all the packages that are needed for the
874  slaves in the piuparts.debian.org setup.
875
876 Package: debian.org-wiki.debian.org
877 Architecture: all
878 Depends: libapache2-mod-wsgi,
879         libcgi-pm-perl,
880         libjson-perl,
881         python-moinmoin (>= 1.9.7-2~bpo7+1),
882         python-launchpadlib,
883         libsoap-lite-perl,
884         python-docutils
885 Description: metapackage for wiki.debian.org
886  This package depends on all the packages that are needed for the Debian wiki
887
888 Package: debian.org-vote.debian.org
889 Architecture: all
890 Depends: libparse-recdescent-perl,
891         libmime-tools-perl,
892         libnet-ldap-perl,
893         libgnupg-interface-perl,
894         libmail-gnupg-perl,
895         graphviz
896 Description: metapackage for vote.debian.org
897  This package depends on all the packages that are needed for DeVoteE
898
899 Package: debian.org-bits.debian.org
900 Architecture: all
901 Depends: python-unidecode,
902         python-jinja2,
903         python-pygments,
904         python-docutils,
905         python-markdown,
906         python-tz,
907         python-typogrify,
908         python-six
909 # Also needed, to add when they are available in Debian and can be backported:
910 # feedgenerator (#702229), blinker (#702231), pelican (#702222)
911 Description: metapackage for bits.debian.org
912  This package depends on all the packages that are needed for the Debian
913  blog bits.debian.org
914
915 Package: debian.org-d-i.debian.org
916 Architecture: all
917 Depends: gnuplot,
918         libdate-manip-perl,
919         libemail-mime-perl,
920         libemail-sender-perl,
921         libfile-slurp-perl,
922         libgd-graph-perl,
923         libhtml-template-perl,
924         liblist-moreutils-perl,
925         libsort-versions-perl,
926         mr,
927         gettext,
928         graphviz,
929         fonts-liberation,
930         edos-distcheck,
931         liburi-perl,
932         edos-distcheck,
933         aspell,
934         libunicode-string-perl,
935 # Taken from d-i's manual (src:installation-guide)'s build-deps:
936         docbook,
937         docbook-xml,
938         docbook-xsl,
939         xsltproc,
940         gawk,
941         libhtml-parser-perl,
942         w3m,
943         poxml,
944         jadetex,
945         openjade | openjade1.3,
946         docbook-dsssl,
947         ghostscript,
948         texlive-lang-cyrillic,
949         texlive-lang-czechslovak,
950         texlive-lang-french,
951         texlive-lang-german,
952         texlive-lang-greek,
953         texlive-lang-italian,
954         texlive-lang-other,
955         texlive-lang-portuguese,
956         texlive-lang-spanish,
957         ko.tex-base,
958         cm-super,
959         po-debconf
960 Description: metapackage for d-i.debian.org
961  This package depends on all the packages that are needed for the
962  d-i.debian.org setup.
963
964 Package: debian.org-codesearch.debian.org
965 Architecture: all
966 Depends: dpkg-dev,
967         postgresql-client
968 Description: metapackage for codesearch.debian.org
969  This package depends on all the packages that are needed for the codesearch
970  setup.
971
972 Package: debian.org-dedup.debian.net
973 Architecture: all
974 Depends: curl,
975         python,
976         python-concurrent.futures,
977         python-debian,
978         python-imaging,
979         python-jinja2,
980         python-lzma,
981         python-pkg-resources,
982         python-werkzeug,
983         python-yaml,
984         python-sqlalchemy,
985         python-ssdeep | base-files (<< 8),
986         sqlite3
987 Description: metapackage for dedup.debian.net
988  This package depends on all packages that are required for operating the
989  Debian duplication detector.
990
991 Package: debian.org-wnpp-by-tags.debian.net
992 Architecture: all
993 Depends: debtags, python-debian, python-beautifulsoup
994 Description: metapackage for wnpp-by-tags.debian.net
995  This package depends on all the packages that are needed for the wnpp-by-tags
996  setup.
997
998 Package: debian.org-blends.debian.org
999 Architecture: all
1000 Depends: python-genshi,
1001  python-markdown,
1002  python-docutils,
1003  python-debian,
1004  python-psutil,
1005  python-psycopg2,
1006  python-apt,
1007  postgresql-client
1008 Description: metapackage for blends.debian.org
1009  This package depends on all the packages that are needed for the
1010  blends.debian.org setup.
1011
1012 Package: debian.org-pet.debian.net
1013 Architecture: all
1014 Depends: python-apt,
1015         python-argparse,
1016         python-debian,
1017         python-debianbts,
1018         python-inotifyx,
1019         python-paste,
1020         python-psycopg2,
1021         python-pyramid,
1022         python-sqlalchemy,
1023         python-subversion
1024 Description: metapackages for pet.debian.net dependencies
1025  This package depends on everything that is needed for the PET setup.
1026
1027 Package: debian.org-dsa.debian.org
1028 Architecture: all
1029 Depends: ikiwiki, libtext-wikicreole-perl, libtext-wikiformat-perl, libtext-multimarkdown-perl
1030 Description: metapackages for dsa.debian.org master dependencies
1031  This package depends on everything that is needed for the service
1032
1033 Package: debian.org-dns.debian.org
1034 Architecture: all
1035 Depends: perl-doc,
1036         nagios-nrpe-plugin,
1037         sqlite3,
1038         libdata-compare-perl,
1039         libnet-dns-perl,
1040         libnet-dns-sec-perl,
1041         python-dnspython,
1042         python-yaml
1043 Description: metapackages for dns.debian.org master dependencies
1044  This package depends on everything that is needed for the service
1045
1046 Package: debian.org-nagios.debian.org
1047 Architecture: all
1048 Depends: icinga
1049 Description: metapackages for nagios.debian.org master dependencies
1050  This package depends on everything that is needed for the service and
1051  also provides the dpkg-diverts for the REMOTE_USER hack
1052
1053 Package: debian.org-deriv.debian.net
1054 Architecture: all
1055 Depends: python,
1056         python-apt,
1057         python-debian,
1058         python-imaging,
1059         python-psycopg2,
1060         python-requests,
1061         python-simplejson,
1062         python-yaml,
1063         libxml-feed-perl,
1064         dpkg-dev,
1065         patchutils,
1066         rsync,
1067         curl,
1068         make,
1069         lzip,
1070 Homepage: https://wiki.debian.org/Derivatives/Integration#Patches
1071 Description: metapackage for the derivatives census patch generation
1072  This package depends on everything that is needed for the service
1073
1074 Package: debian.org-httpredir.debian.org
1075 Architecture: all
1076 Depends: inoticoming,
1077         libanyevent-perl,
1078         libanyevent-http-perl,
1079         libev-perl,
1080         libtimedate-perl,
1081         libgeo-ip-perl,
1082         libwww-perl,
1083         liburi-perl,
1084         libplack-perl,
1085         starman
1086 Description: metapackage for http-redirector dependencies
1087  This package depends on everything that is needed for an instance of
1088  the http-redirector.
1089
1090 Package: debian.org-search.debian.org
1091 Architecture: all
1092 Depends: xapian-omega
1093 Description: metapackage for search.debian.org dependencies
1094  This package depends on everything that is needed for an instance of
1095  the www search engine (aka search.debian.org).
1096
1097 Package: debian.org-dgit.debian.org
1098 Architecture: all
1099 Depends: perl,
1100         libwww-perl,
1101         libdpkg-perl,
1102         git,
1103         devscripts,
1104         dpkg-dev,
1105         libdigest-sha-perl,
1106         dput,
1107         curl,
1108         libjson-perl,
1109         gpgv,
1110         chiark-utils-bin,
1111         libdbd-sqlite3-perl,
1112         sqlite3
1113 Description: metapackage for dgit.debian.org dependencies
1114  This package depends on everything that is needed for an instance of
1115  the dgit git server (aka dgit.debian.org).
1116  .
1117  (This is actually simply the dependencies of the dgit and
1118  dgit-infrastructure binary packages, but due to chicken-and-egg
1119  problems and for ease of maintenance we are running the dgit
1120  infrastructure out of a git tree.)
1121
1122 Package: debian.org-appstream.debian.org
1123 Architecture: all
1124 Depends: gir1.2-rsvg-2.0,
1125         python3-apt,
1126         python3-cairo,
1127         python3-gi,
1128         python3-gi-cairo,
1129         python3-jinja2,
1130         python3-kyotocabinet,
1131         python3-lxml,
1132         python3-pil,
1133         python3-pygments,
1134         python3-voluptuous,
1135         python3-yaml
1136 Description: metapackage for appstream.debian.org dependencies
1137  This package depends on everything that is needed for an instance of
1138  the DEP-11/AppStream metadata extractor.